=== debian/control ===
Source: xz-utils
Section: utils
Priority: optional
Maintainer: Jonathan Nieder <jrnieder@gmail.com>
Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
Build-Depends: debhelper (>= 7.3.0), doxygen,
	autoconf, automake, libtool (>= 2.2), gettext, cvs
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.8.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
Vcs-Git: git://git.debian.org/collab-maint/xz.git
Homepage: http://tukaani.org/xz/

Package: liblzma1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XZ-format compression library
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.)

Package: xz-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xz-lzma (<< 4.999.9beta+20091004-1)
Description: XZ-format compression utilities
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides the command line tools for working with XZ
 compression, including xz, unxz, xzcat, xzgrep, and so on. They can
 also handle the older LZMA format, and if invoked via appropriate
 symlinks will emulate the behavior of the commands in the lzma
 package.
 .
 The XZ format is similar to the older LZMA format but includes some
 improvements for general use:
 .
  * 'file' magic for detecting XZ files;
  * crc64 data integrity check;
  * limited random-access reading support;
  * improved support for multithreading (not used in xz-utils);
  * support for flushing the encoder.

Package: liblzma-dev
Section: libdevel
Architecture: any
Depends: liblzma1 (= ${binary:Version}), ${misc:Depends}
Suggests: liblzma-doc
Description: XZ-format compression library - development files
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.) This package provides the
 development library needed to build programs using liblzma.

Package: liblzma-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: liblzma-dev
Description: XZ-format compression library - API documentation
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.)
 .
 This package contains a reference manual for the liblzma data
 compression library, in Doxygen-generated HTML files. The purpose
 of each struct, macro, and function in the public interface is
 explained.
