=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
-Build-Depends: debhelper (>= 7.3.0), doxygen,
-	autoconf, automake, libtool (>= 2.2), gettext, cvs
+Build-Depends: debhelper (>= 7.4.10), doxygen, perl,
+	autoconf, automake1.10, libtool (>= 2.2), gettext, cvs
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
 Vcs-Git: git://git.debian.org/collab-maint/xz.git
 Homepage: http://tukaani.org/xz/
 
-Package: liblzma1
+Package: liblzma2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -51,7 +51,7 @@
 Package: liblzma-dev
 Section: libdevel
 Architecture: any
-Depends: liblzma1 (= ${binary:Version}), ${misc:Depends}
+Depends: liblzma2 (= ${binary:Version}), ${misc:Depends}
 Suggests: liblzma-doc
 Description: XZ-format compression library - development files
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
