=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 build clean install binary-arch binary-indep binary:
-	+dh $(opt_no_act) $@
+	+dh --parallel $(opt_no_act) $@
 
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory debian/xzdec-build
@@ -9,7 +9,7 @@
 	sh debian/clean.sh
 
 override_dh_auto_configure:
-	autoreconf -fi
+	autoreconf -fis
 	dh_auto_configure --builddirectory debian/normal-build -- \
 		$(opt_optimize) $(opt_quiet)
 	dh_auto_configure --builddirectory debian/xzdec-build -- \
@@ -39,43 +39,19 @@
 opt_no_act =
 opt_quiet =
 
-comma=,
-space_sep_build_opts := $(subst $(comma), ,$(DEB_BUILD_OPTIONS))
-build_opt_parallel := $(filter parallel=%,$(space_sep_build_opts))
-
-# The Hurd is misdetected as Mac OS X in the x86 assembler code,
-# resulting in errors like
-#
-# 	crc32_x86.S:280: Error: character following name is not '#'
-#
-# Use C code in its place on those machines for now.
-ifeq (hurd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))
-    opt_optimize += --disable-assembler
-    opt_optimize_small += --disable-assembler
-endif
-
-ifneq (,$(filter noopt,$(space_sep_build_opts)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
     opt_optimize = --disable-assembler CFLAGS="-g -O0"
     opt_optimize_small = --disable-assembler CFLAGS="-g -O0"
-endif
-
-ifndef in_submake
-ifneq (,$(build_opt_parallel))
-    MAKEFLAGS += -j $(subst parallel=,,$(build_opt_parallel))
-endif
 endif
 
 ifneq (,$(findstring n,$(MAKEFLAGS)))
     opt_no_act = --no-act
 endif
 
-ifneq (,$(filter quiet,$(space_sep_build_opts)))
+ifneq (,$(filter quiet,$(DEB_BUILD_OPTIONS)))
     opt_quiet = --quiet
     MAKEFLAGS += --quiet
 endif
-
-in_submake = yes
-export in_submake
 
 # Build a tarball with the latest upstream version.
 # This is made complicated by the need to choose a nice version number.
