=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
 Build-Depends: debhelper (>= 7.4.10), doxygen, perl,
-	autoconf, automake1.10, libtool (>= 2.2), gettext, cvs
-Build-Conflicts: autoconf2.13, automake1.4
+	autoconf, automake, libtool (>= 2.2), gettext, cvs
+Build-Conflicts: automake1.4
 Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
 Vcs-Git: git://git.debian.org/collab-maint/xz.git
