=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
-Build-Depends: debhelper (>= 7.4.10), doxygen, perl,
-	autoconf, automake, libtool (>= 2.2), gettext, cvs
+Build-Depends: debhelper (>= 7.4.10), perl,
+	autoconf, automake, libtool (>= 2.2), gettext, autopoint
+Build-Depends-Indep: doxygen
 Build-Conflicts: automake1.4
 Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
@@ -48,6 +49,31 @@
   * improved support for multithreading (not used in xz-utils);
   * support for flushing the encoder.
 
+Package: xzdec
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: xz-utils
+Conflicts: xz-lzma (<< 4.999.9beta+20091004-1)
+Description: XZ-format compression utilities - tiny decompressors
+ XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
+ compression format, which provides memory-hungry but powerful
+ compression (often better than bzip2) and fast, easy decompression.
+ .
+ This package provides the xzdec and lzmadec utilities, which write
+ the decompressed version of a compressed file to standard output. The
+ binaries are very small, so they can be easily stored on small media
+ with some compressed files, and they are linked statically against
+ liblzma so they can be used on machines without a compatible version
+ of liblzma installed. However, they have:
+ .
+   * no compression support;
+   * no support for writing to a file other than standard output;
+   * no translated messages;
+   * been optimized for size rather than speed.
+ .
+ For a full-featured xzcat command without these limitations, use
+ the xz-utils package instead.
+
 Package: liblzma-dev
 Section: libdevel
 Architecture: any
