=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_auto_configure:
 	autoreconf -fis
 	dh_auto_configure --builddirectory debian/normal-build -- \
-		$(opt_optimize) $(opt_quiet)
+		$(opt_optimize) $(opt_quiet) --enable-dynamic
 	dh_auto_configure --builddirectory debian/xzdec-build -- \
 		--disable-shared --disable-nls --disable-encoders \
 		--enable-small --disable-threads \
@@ -19,9 +19,14 @@
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory debian/normal-build
-	cd debian/normal-build && doxygen Doxyfile
 	$(MAKE) -C debian/xzdec-build/src/liblzma
 	$(MAKE) -C debian/xzdec-build/src/xzdec
+	: 'Work around bug #478524'
+	set -e; if type doxygen >/dev/null 2>/dev/null; \
+	then \
+		cd debian/normal-build; \
+		doxygen Doxyfile; \
+	fi
 
 override_dh_auto_test:
 	$(MAKE) -C debian/normal-build check
@@ -73,11 +78,11 @@
 get-orig-source:
 	mkdir debian-orig-source
 	-set -e; cd debian-orig-source; \
-		: fetch latest upstream version; \
+	: Fetch latest upstream version.; \
 		git init -q; \
 		git fetch -q --tags $(REPO); \
 		git fetch -q $(REPO) $(BRANCH); \
-		: determine upstream version number; \
+	: Determine version number.; \
 		commit_name=$$(git describe FETCH_HEAD); \
 		release=$${commit_name%%-*}; \
 		date=$$(date --utc --date="$$( \
@@ -87,7 +92,7 @@
 		then upstream_version=$${commit_name#v}; \
 		else upstream_version="$${release#v}+$${date}"; \
 		fi; \
-		: generate tarball; \
+	: Generate tarball.; \
 		echo "packaging $$commit_name"; \
 		git archive --format=tar "$$commit_name" \
 			--prefix="xz-utils-$$upstream_version/" | \
