=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: utils
 Priority: required
 Maintainer: Jonathan Nieder <jrnieder@gmail.com>
-Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
+Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>,
+ Thorsten Glaser <tg@mirbsd.de>
 Build-Depends: debhelper (>= 7.4.10), perl,
-	autoconf, automake, libtool (>= 2.2), gettext, autopoint
+ autoconf (>= 2.64~), automake, libtool (>= 2.2),
+ gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs
 Build-Depends-Indep: doxygen
 Build-Conflicts: automake1.4
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
 Vcs-Git: git://git.debian.org/collab-maint/xz.git
 Homepage: http://tukaani.org/xz/
@@ -28,7 +30,9 @@
 Package: xz-utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: xz-lzma
 Conflicts: xz-lzma (<< 4.999.9beta+20091004-1)
+Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
 Description: XZ-format compression utilities
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
@@ -49,12 +53,31 @@
   * improved support for multithreading (not used in xz-utils);
   * support for flushing the encoder.
 
+Package: xz-lzma
+Architecture: all
+Priority: extra
+Depends: xz-utils, ${misc:Depends}
+Conflicts: lzma, lzip (<< 1.8~rc2)
+Replaces: lzip (<< 1.8~rc2)
+Provides: lzma
+Description: XZ-format compression utilities - compatibility commands
+ XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
+ compression format, which provides memory-hungry but powerful
+ compression (often better than bzip2) and fast, easy decompression.
+ .
+ This package provides symbolic links allowing xz-utils to provide the
+ same interface for manipulating LZMA files as the lzma package. The
+ xz-utils package can handle LZMA files on its own; this package is
+ only necessary when using scripts or other programs that require the
+ older command names.
+
 Package: xzdec
 Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xz-utils
 Conflicts: xz-lzma (<< 4.999.9beta+20091004-1)
+Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
 Description: XZ-format compression utilities - tiny decompressors
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
@@ -98,14 +121,6 @@
 Depends: ${misc:Depends}
 Suggests: liblzma-dev
 Description: XZ-format compression library - API documentation
- XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
- compression format, which provides memory-hungry but powerful
- compression (often better than bzip2) and fast, easy decompression.
- .
- The native format of liblzma is XZ; it also supports raw (headerless)
- streams and the older LZMA format used by lzma. (For 7-Zip's related
- format, use the p7zip package instead.)
- .
  This package contains a reference manual for the liblzma data
  compression library, in Doxygen-generated HTML files. The purpose
  of each struct, macro, and function in the public interface is
